Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ODCI
Class ODCIPredInfo

    java.lang.Object
      |
      +--oracle.ODCI.ODCIPredInfo

public class ODCIPredInfo
extends java.lang.Object

Field Summary
`protected static ODCIPredInfo` | `_ODCIPredInfoFactory`
`static java.lang.String` | `_SQL_NAME`
`static int` | `_SQL_TYPECODE`
`protected MutableStruct` | `_struct`

Constructor Summary
`` | `ODCIPredInfo()`
`protected` | `ODCIPredInfo(boolean init)`

Method Summary
`ORAData` | `create(Datum d, int sqlType)`
`protected ORAData` | `create(ODCIPredInfo o, Datum d, int sqlType)`
`java.math.BigDecimal` | `getFlags()`
`java.lang.String` | `getMethodName()`
`java.lang.String` | `getObjectName()`
`java.lang.String` | `getObjectSchema()`
`static ORADataFactory` | `getORADataFactory()`
`void` | `setFlags(java.math.BigDecimal Flags)`
`void` | `setMethodName(java.lang.String MethodName)`
`void` | `setObjectName(java.lang.String ObjectName)`
`void` | `setObjectSchema(java.lang.String ObjectSchema)`
`Datum` | `toDatum(java.sql.Connection c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _SQL_NAME

    public static final java.lang.String _SQL_NAME

  See Also:
    Constant Field Values

### _SQL_TYPECODE

    public static final int _SQL_TYPECODE

### _struct

    protected MutableStruct _struct

### _ODCIPredInfoFactory

    protected static final ODCIPredInfo _ODCIPredInfoFactory

Constructor Detail

### ODCIPredInfo

    protected ODCIPredInfo(boolean init)

### ODCIPredInfo

    public ODCIPredInfo()

Method Detail

### getORADataFactory

    public static ORADataFactory getORADataFactory()

### toDatum

    public Datum toDatum(java.sql.Connection c)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    public ORAData create(Datum d,
                          int sqlType)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    protected ORAData create(ODCIPredInfo o,
                             Datum d,
                             int sqlType)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObjectSchema

    public java.lang.String getObjectSchema()
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setObjectSchema

    public void setObjectSchema(java.lang.String ObjectSchema)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObjectName

    public java.lang.String getObjectName()
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setObjectName

    public void setObjectName(java.lang.String ObjectName)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMethodName

    public java.lang.String getMethodName()
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setMethodName

    public void setMethodName(java.lang.String MethodName)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFlags

    public java.math.BigDecimal getFlags()
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setFlags

    public void setFlags(java.math.BigDecimal Flags)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.